using System;
using System.ComponentModel.DataAnnotations;
using SharpRSS.API.Contracts.DTO;

namespace SharpRSS.API.Models.Auth
{
    public class User
    {
        public static UserDto ToDto(User user) => new UserDto(user.Id, user.UserName, user.Mail, user.Role, user.DateCreated);

        [Key]
        public string Id { get; set; } = Guid.NewGuid().ToString();
        [Required]
        public string UserName { get; set; }
        [Required]
        [EmailAddress]
        public string Mail { get; set; }
        [Required]
        public byte[] Password { get; set; }
        [Required]
        public byte[] Salt { get; set; }
        [Required]
        public string Role { get; set; } = "User";
        [Required]
        public DateTime DateCreated { get; set; } = DateTime.Now;
    }
}